GNU bug report logs - #24230
25.1.50; vc-mode and svn+ssh:// URLs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ams@HIDDEN (Alfred M. Szmidt); dated Mon, 15 Aug 2016 07:34:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 24230 <at> debbugs.gnu.org:


Received: (at 24230) by debbugs.gnu.org; 25 Aug 2016 09:33:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 25 05:33:16 2016
Received: from localhost ([127.0.0.1]:40001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bcr2B-0007Bo-Rb
	for submit <at> debbugs.gnu.org; Thu, 25 Aug 2016 05:33:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ams@HIDDEN>) id 1bcr2A-0007Bb-La
 for 24230 <at> debbugs.gnu.org; Thu, 25 Aug 2016 05:33:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ams@HIDDEN>) id 1bcr24-0003cH-8k
 for 24230 <at> debbugs.gnu.org; Thu, 25 Aug 2016 05:33:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34818)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ams@HIDDEN>)
 id 1bcr24-0003bu-62
 for 24230 <at> debbugs.gnu.org; Thu, 25 Aug 2016 05:33:08 -0400
Received: from ams by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <ams@HIDDEN>)
 id 1bcr22-0000sR-JO; Thu, 25 Aug 2016 05:33:06 -0400
From: ams@HIDDEN (Alfred M. Szmidt)
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83lgzxg8x3.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 15
 Aug 2016 21:54:16 +0300)
Subject: Re: bug#24230: 25.1.50; vc-mode and svn+ssh:// URLs
References: <E1bZCOy-00070e-3b@HIDDEN> <83lgzxg8x3.fsf@HIDDEN>
Message-Id: <E1bcr22-0000sR-JO@HIDDEN>
Date: Thu, 25 Aug 2016 05:33:06 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: 24230
Cc: 24230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

   > When working with SVN repositories and doing C-x v l on a file I get
   > the following:
   > 
   >   Working file: /home/ams/Makefile
   >   svn: E170013: Unable to connect to a repository at URL 'svn+ssh://carbonium/svn/com/ams/trunk/Makefile'
   >   svn: E210002: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.
   >   svn: E210002: Network connection closed unexpectedly
   > 
   > Commiting and other operations fail as well, but only if one uses the
   > svn+ssh:// protocol.
   > 
   > 
   > In GNU Emacs 25.1.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.6)
   >  of 2016-07-24 built on scandium
   > Repository revision: 098d29af10a869e65a36804579f16edc49aabcfa
   > System Description:	Arch Linux

   I cannot reproduce this with today's master.

   What do you get if you invoke the equivalent command from the shell
   command line?  Do you perhaps get any prompts, e.g. for pass phrase or
   something?

Yeah, I get a password prompt; I can mitigate the issue by using
public keys.  Do you want the output from ssh/svn?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24230; Package emacs. Full text available.

Message received at 24230 <at> debbugs.gnu.org:


Received: (at 24230) by debbugs.gnu.org; 15 Aug 2016 18:54:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 15 14:54:46 2016
Received: from localhost ([127.0.0.1]:58540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bZN26-0003fw-GA
	for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 14:54:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bZN25-0003fi-I4
 for 24230 <at> debbugs.gnu.org; Mon, 15 Aug 2016 14:54:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bZN1w-0000xn-Gg
 for 24230 <at> debbugs.gnu.org; Mon, 15 Aug 2016 14:54:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.4 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38918)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bZN1w-0000xj-Dw
 for 24230 <at> debbugs.gnu.org; Mon, 15 Aug 2016 14:54:36 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2012
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bZN1q-0006mk-G9; Mon, 15 Aug 2016 14:54:35 -0400
Date: Mon, 15 Aug 2016 21:54:16 +0300
Message-Id: <83lgzxg8x3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ams@HIDDEN (Alfred M. Szmidt)
In-reply-to: <E1bZCOy-00070e-3b@HIDDEN> (ams@HIDDEN)
Subject: Re: bug#24230: 25.1.50; vc-mode and svn+ssh:// URLs
References: <E1bZCOy-00070e-3b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 24230
Cc: 24230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

> From: ams@HIDDEN (Alfred M. Szmidt)
> Date: Mon, 15 Aug 2016 03:33:40 -0400
> 
> When working with SVN repositories and doing C-x v l on a file I get
> the following:
> 
>   Working file: /home/ams/Makefile
>   svn: E170013: Unable to connect to a repository at URL 'svn+ssh://carbonium/svn/com/ams/trunk/Makefile'
>   svn: E210002: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.
>   svn: E210002: Network connection closed unexpectedly
> 
> Commiting and other operations fail as well, but only if one uses the
> svn+ssh:// protocol.
> 
> 
> In GNU Emacs 25.1.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.6)
>  of 2016-07-24 built on scandium
> Repository revision: 098d29af10a869e65a36804579f16edc49aabcfa
> System Description:	Arch Linux

I cannot reproduce this with today's master.

What do you get if you invoke the equivalent command from the shell
command line?  Do you perhaps get any prompts, e.g. for pass phrase or
something?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24230; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Aug 2016 07:33:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 15 03:33:55 2016
Received: from localhost ([127.0.0.1]:57838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bZCPD-0002UL-9V
	for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 03:33:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ams@HIDDEN>) id 1bZCPB-0002U7-43
 for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 03:33:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ams@HIDDEN>) id 1bZCP4-0004BM-Ng
 for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 03:33:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35132)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ams@HIDDEN>)
 id 1bZCP4-0004BC-KA
 for submit <at> debbugs.gnu.org; Mon, 15 Aug 2016 03:33:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42727)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <ams@HIDDEN>)
 id 1bZCP2-00049G-2d
 for bug-gnu-emacs@HIDDEN; Mon, 15 Aug 2016 03:33:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ams@HIDDEN>) id 1bZCOz-000494-PK
 for bug-gnu-emacs@HIDDEN; Mon, 15 Aug 2016 03:33:43 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59036)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ams@HIDDEN>)
 id 1bZCOz-00048h-Lg
 for bug-gnu-emacs@HIDDEN; Mon, 15 Aug 2016 03:33:41 -0400
Received: from ams by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <ams@HIDDEN>) id 1bZCOy-00070e-3b
 for bug-gnu-emacs@HIDDEN; Mon, 15 Aug 2016 03:33:40 -0400
From: ams@HIDDEN (Alfred M. Szmidt)
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; vc-mode and svn+ssh:// URLs
Message-Id: <E1bZCOy-00070e-3b@HIDDEN>
Date: Mon, 15 Aug 2016 03:33:40 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)



When working with SVN repositories and doing C-x v l on a file I get
the following:

  Working file: /home/ams/Makefile
  svn: E170013: Unable to connect to a repository at URL 'svn+ssh://carbonium/svn/com/ams/trunk/Makefile'
  svn: E210002: To better debug SSH connection problems, remove the -q option from 'ssh' in the [tunnels] section of your Subversion configuration file.
  svn: E210002: Network connection closed unexpectedly

Commiting and other operations fail as well, but only if one uses the
svn+ssh:// protocol.


In GNU Emacs 25.1.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.6)
 of 2016-07-24 built on scandium
Repository revision: 098d29af10a869e65a36804579f16edc49aabcfa
System Description:	Arch Linux

Recent messages:
Loading /home/ams-work/loaddefs.el (source)...done
Loading /home/ams-work/private/rcirc.el (source)...done
Loading /home/ams-work/private/pivotal-tracker.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
delete-backward-char: Text is read-only [2 times]
Making completion list...
Source file ‘/home/ams/emacs/lisp/gnus/message.el’ newer than byte-compiled file
Source file ‘/home/ams/emacs/lisp/gnus/mm-decode.el’ newer than byte-compiled file

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 LIBSYSTEMD

Important settings:
  value of $LANG: C
  locale-coding-system: nil

Major mode: Fundamental

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
~/misc hides /home/ams/emacs/lisp/misc
~/loaddefs hides /home/ams/emacs/lisp/loaddefs

Features:
(shadow mailalias emacsbug message puny seq byte-opt bytecomp
byte-compile cl-extra help-mode cconv dired dired-loaddefs format-spec
rfc822 mml easymenu mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader t-mouse term/linux
rcirc ring mail-queue cl-macs sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils vc-dispatcher vc-svn time-date autoload
radix-tree lisp-mnt cl gv cl-loaddefs pcase cl-lib mule-util
disp-table tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese
eucjp-ms cp51932 hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese charscript case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 101229 7825)
 (symbols 48 21238 0)
 (miscs 40 60 175)
 (strings 32 19392 5315)
 (string-bytes 1 603326)
 (vectors 16 12084)
 (vector-slots 8 411119 1578)
 (floats 8 184 255)
 (intervals 56 211 100)
 (buffers 976 13)
 (heap 1024 35908 869))




Acknowledgement sent to ams@HIDDEN (Alfred M. Szmidt):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24230; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.